Initiate Payment

API to initiate payments by merchant.

About MIT (Merchant Initiated Transaction)

Merchant Initiated Transactions (MIT) allows a business to use card details, that were stored during previous payments, to charge their customers.


How do MITs work?

1- You request a payment link with the option to save the card details.

2- You save the payment ID.

3- You get the payment details (redirect, GET /payments/{paymentId}, or webhook) which will include the ID of the card used to make the payment, you can save either one of the IDs so you always have access to the card ID.

4- You call the below API to initiate a payment using the same card.


Wallet payments (Apple Pay / Google Pay)

The same endpoint also charges an Apple Pay or Google Pay token against a payment link. Send payment_link_id together with apple_pay_token or google_pay_token (obtained from the Apple Pay / Google Pay token endpoints). In this mode card_id is not used, and the amount comes from the payment link.

Body Params
string

Saved card ID retrieved from the initial payment made with MIT-enabled link. Required for merchant-initiated (card-on-file) charges.

number
≥ 1
Defaults to 10

Amount to be charged. Required for merchant-initiated charges; for wallet charges the amount comes from the payment link.

string

Apple Pay token from the Apple Pay token endpoint. Provide this (with payment_link_id) for an Apple Pay charge.

string

Google Pay token from the Google Pay token endpoint. Provide this (with payment_link_id) for a Google Pay charge.

string

The end customer's IP address for the wallet charge (optional).

string
Defaults to AED

The three-letter ISO currency code, default is AED

boolean
Defaults to true

Enables the sending of customer receipts.

custom_data
object

Key-value object that can be used to pass custom data.

string

The external ID allows non Mamo IDs to be associated with a given payment.

boolean
Defaults to false

Indicates whether to place the payment on hold and charge it later using the "captures" API.

payouts_share
object

Splits this payment's payout with one of your recipients. Applies to this payment only.

Headers
string
Responses

400

Bad Request

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json